Talk overlay "issues" are not visible in A/B test
Closed, ResolvedPublic2 Story Points

Description

Ambox templates are used on pages other than the main namespace - notably template, categories and talk to provide information to editors.

For example talk pages:
https://en.m.wikipedia.org/wiki/Talk:Sandwich#/issues

When bucketed with the new treatment
e.g.http://reading-web-staging.wmflabs.org/wiki/Talk:Sandwich
The issues are not accessible.

It also seems our recent changes have caused a regression with the display of these issues. Note well that this regression was fixed in T199005#4409931.

acceptance criteria

  • Restore the "about this page" link for talk and category namespace. A/B test should not apply here.
  • Do not render issues if their html is an empty string.
  • Make it clear in the code that this code should be retained post A/B test

qa steps

  • Ensure both A and B groups are accessible for http://reading-web-staging.wmflabs.org/wiki/Pharmacovigilance. In one treatment the "page issues" link renders under the heading, and in the other the banner should be visible and clickable
  • Check that on "Category:Use_American_English_from_January_2014", "Talk:Sandwich" and "Talk:Pharmacovigilance" show a "About this page" link under the title regardless of whether you are in groups A or B of the A/B test.

sign off notes

As part of sign off, we'll want to work out the long term plan for dealing with these type of amboxes. Options involve keeping both versions around; redesigning these amboxes or displaying them (despite the impact on appearance)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 6 2018, 10:17 PM
Jdlrobson triaged this task as High priority.Jul 6 2018, 10:19 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a subscriber: alexhollender.

@alexhollender we may want to investigate redesigning these. This bug is just about restoring the old behaviour to avoid a regression. Feel free to open a new task to think about that.

Change 444745 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Talk page 'issues' are not subject to A/B test

https://gerrit.wikimedia.org/r/444745

Change 444746 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Don't render blank issues

https://gerrit.wikimedia.org/r/444746

Change 444746 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Don't render blank issues

https://gerrit.wikimedia.org/r/444746

Jdlrobson renamed this task from Regression: Talk overlay "issues" do not show to Talk overlay "issues" are not visible in A/B test.Jul 9 2018, 10:03 PM
Jdlrobson removed a project: Regression.
Jdlrobson updated the task description. (Show Details)
Jdlrobson lowered the priority of this task from High to Normal.

Dropping priority now regression part of this task has been addressed.

phuedx updated the task description. (Show Details)Jul 10 2018, 4:11 PM
Jdlrobson updated the task description. (Show Details)Jul 10 2018, 4:18 PM
Jdlrobson updated the task description. (Show Details)Jul 10 2018, 4:20 PM
ovasileva set the point value for this task to 2.Jul 10 2018, 4:23 PM
ovasileva raised the priority of this task from Normal to High.

Change 444745 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Talk page 'issues' are not subject to A/B test

https://gerrit.wikimedia.org/r/444745

Jdlrobson updated the task description. (Show Details)Jul 11 2018, 4:50 PM
Jdlrobson assigned this task to alexhollender.

This code is on reading web staging.

This is working as expected.

@Jdlrobson regarding design improvements — do you think it would be appropriate to give these the same visual treatment as page issues? It seems like they are basically the same thing, just on non-main namespace pages. Also, do we need to think about how people can access them from the non-Wiki version of the Talk page?

alexhollender updated the task description. (Show Details)

@alexhollender ideally yes although Olga has already said this is all out of scope for the issues project. We would want to do a similar Jan style audit of all the templates before starting that adventure.

ovasileva reassigned this task from ABorbaWMF to Ryasmeen.Jul 12 2018, 5:41 PM
ovasileva added a subscriber: ABorbaWMF.

@Jdlrobson: So I see now http://reading-web-staging.wmflabs.org/wiki/Talk:Sandwich has "About this Page" link and it takes me to issues page and there is no empty rows on that issues page.

I also checked that when I go to http://reading-web-staging.wmflabs.org/wiki/Pharmacovigilance, there is this banner about issues regarding that page and it takes me to the issues page.

But, I have no idea about how to test it for different user groups for A/B testing, I tried by clearing the session with localStorage.clear(); sessionStorage.clear() in an attempt to get bucketed as a different user group, but every time I got the banner not the link. So not sure, if I am doing it right.

Hey @Ryasmeen http://reading-web-staging.wmflabs.org has an A-B test running on the main namespace with 50% bucketing.
To get bucketed you can open a link in a new tab/incognito window
Bucket 1:


Bucket 2:

Does that help?

ABorbaWMF moved this task from Backlog to Ready on the Audiences-QA board.

Okay, this time I finally got bucketed to get "page issues" link rendered under the heading. So marking it as verified.

Jdlrobson reassigned this task from Ryasmeen to ovasileva.Jul 30 2018, 2:32 AM
Jdlrobson added a subscriber: Ryasmeen.
ovasileva closed this task as Resolved.Jul 30 2018, 8:39 AM

looks good

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 30 2018, 8:39 AM